from socket import *
import threading
import unicodedata
import select

class udp_server:
    def __init__(self, ip, port):
        self.ip = ip
        self.port = port
        self.bufsize = 1024
        self.fd = None
        self.p = threading.Thread(target=self.run)
        self.p.start()
        self.rtrig = False
        self.rbuf = None
        self.ack_port = port
    def set_intr(self):
        self.rtrig = True
    def reset_intr(self):
        self.rtrig = False
    def rx_intr(self):
        return self.rtrig
    def run(self): 
        self.fd = socket(AF_INET, SOCK_DGRAM)
        self.fd.bind((self.ip, self.port))
        print("UDP server up and listening ({})".format(self.port))
        # Listen for incoming datagrams
        while(True):
            # temp = self.fd.recvfrom(self.bufsize)
            self.fd.setblocking(0)
            ready = select.select([self.fd], [], [], 5.1)
            if ready[0]:
                temp = self.fd.recv(self.bufsize)
            # print(temp)
            # print(len(temp[0]))  
            # print(len(temp[0][1])) 
            # print(type(temp[0][1]))
            # self.rbuf = temp[0]
            # self.ack_port = temp[1][1]
                self.rbuf = temp
                self.set_intr()
            # else:
                # print("check ucp recv timeout")
    def send(self, buf):
        self.fd.sendto(buf, ('192.168.1.1', self.ack_port)) 
        
    def display_unicode(data):
        return "".join(["\\u%s" % hex(ord(l))[2:].zfill(4) for l in data])
        