#-*- coding:utf-8 -*-
from SerialCommunicator import *
from Project import *
from Util import *
from System import *

class PcuCommunicator(SerialCommunicator):
    def __init__(self, name):
        SerialCommunicator.__init__(self,name)
    def ProcDat(self, data):
        from Project import pj 
        # print(data)
        if Util.CheckCrcForPCU(data):
            rcvs = data.split(',')
            if rcvs[0] == '$KB' :
                if rcvs[2] == 'STS' :  pj.Ant.DatProc(data)
                elif rcvs[2] == 'GPS' :  pj.Ant.Nmea.BurstGpsProc(data)
                else: 
                    if pj.Conf['Log']['Filter']['PcuBurst']['Others']==1: System.Log(__name__,data)
            
            if rcvs[0] == '$KR' : 
                System.Log(__name__,data)
            self.RcvList(data)
        else:
            if data != b"":
                self.ErrorCRC += 1
                # print(data)
                
    def RcvList(self, data):
        from Project import pj 
        rcvs = data.split(',')
        if len(rcvs)<3: return        
        
        if rcvs[0] == '$KB' :
            if rcvs[1] == 'DAT_S' :
                if rcvs[2] == 'STS' :    
                    if pj.Conf['Log']['Filter']['PcuBurst']['All']==1 or pj.Conf['Log']['Filter']['PcuBurst']['STS']==1: System.Log(__name__,data)
                if rcvs[2] == 'GPS' :    
                    if pj.Conf['Log']['Filter']['PcuBurst']['All']==1 or pj.Conf['Log']['Filter']['PcuBurst']['GPS']==1: System.Log(__name__,data)
                    
        if rcvs[0] == '$KR' :
            if rcvs[1] == 'DAT_Y' :
                if rcvs[2] == 'SER' :     
                    if pj.Conf['Log']['Filter']['PcuCommunication']['All']==1: System.Log(__name__,data)
                elif rcvs[2] == 'BLK' :     
                    if pj.Conf['Log']['Filter']['PcuCommunication']['All']==1: System.Log(__name__,data)
                else:
                    if pj.Conf['Log']['Filter']['PcuCommunication']['Others']==1: System.Log(__name__,data)
 
rcvlist = { 
    '$KB':{
        'DAT_S':{
            'STS':[],
            'GPS':[],
        },
    }
}