import sqlite3
import datetime

def sql_db():
    db_path = "/home/pi/acu/pkg/acu/slot0/app/py/t1_base/unit_test/"+x.strftime("%y%m%d_%H%M%S")+"_sql.json"
    conn = sqlite3.connect(db_path)
    cur = conn.cursor()
    conn.execute('CREATE TABLE test_dat(id INTEGER, name TEXT, dat1 TEXT, dat2 TEXT, datetime TEXT)')

def sql_mng():
    db_path = "/home/pi/acu/pkg/acu/slot0/app/py/t1_base/unit_test/sql.db"
    conn = sqlite3.connect(db_path)
    cur = conn.cursor()
    
    current =  datetime.datetime.now()
    mng_time = current - datetime.timedelta(minutes=60)
    date = datetime.datetime.now().strftime("%y-%m-%d_%H:%M:%S.%f")
    
    
    cur.execute("SELECT * FROM test_dat WHERE datetime > '2023-02-15_02:44:30'")
    rows = cur.fetchall()

    for row in rows:
        print(row)
        
    print(len(rows))
    
    cur.execute("SELECT datetime FROM test_dat" )
    rows = cur.fetchall()
        
    conn.close()

def sql_mng():
    db_path = "/home/pi/acu/pkg/acu/slot0/app/py/t1_base/unit_test/sql.db"
    conn = sqlite3.connect(db_path)
    cur = conn.cursor()
    
    current =  datetime.datetime.now()
    mng_time = current - datetime.timedelta(minutes=60)
    date = datetime.datetime.now().strftime("%y-%m-%d_%H:%M:%S.%f")
    
    
    #select * from daily group by DATE_FORMAT(Date, '%c %d %Y');
    
    #not work
    # cur.execute("SELECT DISTINCT datetime FROM test_dat ORDER BY datetime DESC")
    # cur.execute("SELECT DISTINCT datetime FROM test_dat ORDER BY DATE_FORMAT(datetime, '%y-%m-%d_%H:%M')")
    #cur.execute("SELECT DATE_FORMAT(datetime, '%y-%m-%d_%H:%M') FROM test_dat")
    
    #work correct
    # cur.execute("SELECT name, dat2 FROM test_dat WHERE test_dat.id > 2000")
    # cur.execute("SELECT name, datetime FROM test_dat WHERE test_dat.datetime > (?)", [(date),] )
    # cur.execute("SELECT DATE_FORMAT(datetime, '%Y-%m-%d_%H:%M') FROM test_dat" )
    cur.execute("SELECT * FROM test_dat WHERE datetime > '2023-02-15_02:44:30'")
    rows = cur.fetchall()

    for row in rows:
        print(row)
        
    print(len(rows))
    
    cur.execute("SELECT datetime FROM test_dat" )
    rows = cur.fetchall()
        
    conn.close()
    
    


def sql_rd():
    db_path = "/home/pi/acu/pkg/acu/slot0/app/py/t1_base/unit_test/sql.db"
    conn = sqlite3.connect(db_path)
    cur = conn.cursor()
    cur.execute("SELECT * FROM test_dat")
    rows = cur.fetchall()

    for row in rows:
        print(row)
        
    print(len(rows))
        
    conn.close()


def sql_wr():
    db_path = "/home/pi/acu/pkg/acu/slot0/app/py/t1_base/unit_test/sql.db"
    conn = sqlite3.connect(db_path)
    cur = conn.cursor()
    cur.execute("SELECT COUNT(*) FROM sqlite_master WHERE name='test_dat'")
    rows = cur.fetchall()
    if rows:
        print('exist, no creat table')
    else:
        conn.execute('CREATE TABLE test_dat(id INTEGER, name TEXT, dat1 TEXT, dat2 TEXT, datetime TEXT)')
        # cur.executemany(
            # 'INSERT INTO test_dat VALUES (?, ?, ?, ?, ?)',
            # [(1001, 'Donghyun', 'SOMJANG', 'Development', '2020-04-01 00:00:00.000'),
             # (2001, 'Sol', 'Fairy', 'Marketing', '2020-04-01 00:00:00.000'),
             # (2002, 'Jiyoung', 'Magician', 'Marketing', '2020-04-01 00:00:00.000'),
             # (1002, 'Hyeona', 'Theif', 'Development', '2020-04-01 00:00:00.000'),
             # (1003, 'Soyoung', 'Chief', 'Development', '2020-04-01 00:00:00.000')
            # ]
        # )

    conn.commit()
    conn.close()
    
    
def sql_ins():
    db_path = "/home/pi/acu/pkg/acu/slot0/app/py/t1_base/unit_test/sql.db"
    conn = sqlite3.connect(db_path)
    cur = conn.cursor()
    date = datetime.datetime.now().strftime("%Y-%m-%d_%H:%M:%S.%f")
    cur.executemany(
        'INSERT INTO test_dat VALUES (?, ?, ?, ?, ?)',
        [(1001, 'Donghyun', 'SOMJANG', 'Development', date),
        ]
    )
    conn.commit()
    conn.close()