import time
import serial
import threading

class serial_server:
    def __init__(self, dev, baud):
        self.dev = dev
        self.baud = baud
        self.bufsize = 1024
        self.fd = None
        self.p = threading.Thread(target=self.run)
        self.p.start()
        self.p = threading.Thread(target=self.dec_read)
        self.p.start()
        self.rtrig = False
        self.rbuf = None
        self.obuf = None
        self.olen = 0
    def set_intr(self):
        self.rtrig = True
    def reset_intr(self):
        self.rtrig = False
    def rx_intr(self):
        return self.rtrig
    def run(self): 
        self.fd = serial.Serial(self.dev, self.baud)
        print("Opend %s-%s"%(self.dev, self.baud))
        # Listen for incoming datagrams
        while(True):
            # if self.fd.readable():
                # self.rbuf = self.fd.readline()    
            # while ser.inWaiting() > 0:
            rd = self.fd.read(1)
            if self.obuf == None :
                self.obuf = rd
            else :
                self.obuf = self.obuf + rd
            # print(len(self.obuf))
                
    def send(self, buf):
        self.fd.write(buf)
        
    def dec_read(self): 
        cnt = 0
        rcnt = 0
        while(True):
            # print("{}-{}".format(cnt, rcnt))
            rcnt = rcnt + 1
            time.sleep(0.02)
            if self.obuf == None :
                continue
            clen = len(self.obuf)
            if self.olen != clen:
                self.olen = clen
                cnt = 0
                continue
            cnt = cnt + 1
            if cnt > 10 : #300ms
                self.rbuf = self.obuf
                self.obuf = None
                self.olen = 0
                self.set_intr()
                cnt = 0