from socket import *
import threading
import select

class tcp_server:
    def __init__(self, ip, port):
        self.ip = ip
        self.port = port
        self.bufsize = 1024
        self.fd = None
        self.conn = None
        self.p = threading.Thread(target=self.run)
        self.p.start()
        self.rtrig = False
        self.rbuf = None
        self.ack_port = port
        self.flag = False
    def set_intr(self):
        self.rtrig = True
    def reset_intr(self):
        self.rtrig = False
    def rx_intr(self):
        return self.rtrig
    def client_server(self):
        while(True):
            try:
                self.conn.setblocking(0)
                ready = select.select([self.conn], [], [], 2)
                if ready[0]:
                    temp = self.conn.recv(self.bufsize)
                    # check close & process rcv buf
                    if not temp: break;
                    else : 
                        self.rbuf = temp 
                        if len(self.rbuf) > 0 : self.set_intr()
                else:
                    print("check tcp recv timeout")
            except select.error:
                break;
            except :
                break;
        print("close tcp connection")
        self.conn.close()
                
    def run(self): 
        self.fd=socket(AF_INET,SOCK_STREAM)
        self.fd.bind(('',self.port))
        self.fd.listen(1)
        print 'started on',self.port
        while True:
            self.conn,addr = self.fd.accept()
            self.client_server()
    def send(self, buf):
        self.fd.sendto(buf, ('192.168.1.1', self.ack_port)) 
        
    def display_unicode(data):
        return "".join(["\\u%s" % hex(ord(l))[2:].zfill(4) for l in data])